Index: c/src/libchip/ChangeLog
===================================================================
--- c/src/libchip/ChangeLog	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/ChangeLog	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -1,2 +1,18 @@
+2003-09-04	Joel Sherrill <joel@OARcorp.com>
+
+	* ide/ata.c, ide/ata.h, ide/ata_internal.h, ide/ide_controller.c,
+	ide/ide_ctrl.h, ide/ide_ctrl_cfg.h, ide/ide_ctrl_io.h,
+	network/cs8900.c, network/cs8900.c.bsp, network/cs8900.h,
+	network/dec21140.c, network/elnk.c, network/open_eth.c,
+	network/sonic.c, network/sonic.h, rtc/icm7170.c, rtc/icm7170.h,
+	rtc/icm7170_reg.c, rtc/icm7170_reg2.c, rtc/icm7170_reg4.c,
+	rtc/icm7170_reg8.c, rtc/m48t08.c, rtc/m48t08.h, rtc/m48t08_reg.c,
+	rtc/m48t08_reg2.c, rtc/m48t08_reg4.c, rtc/m48t08_reg8.c, rtc/rtc.h,
+	rtc/rtcprobe.c, serial/mc68681.c, serial/mc68681.h,
+	serial/mc68681_p.h, serial/mc68681_reg.c, serial/mc68681_reg2.c,
+	serial/mc68681_reg4.c, serial/mc68681_reg8.c, serial/serial.h,
+	serial/z85c30.c, serial/z85c30.h, serial/z85c30_p.h,
+	serial/z85c30_reg.c: URL for license changed.
+
 2003-09-04	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/libchip/ide/ata.c
===================================================================
--- c/src/libchip/ide/ata.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/ide/ata.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -11,5 +11,5 @@
  * The license and distribution terms for this file may be
  * found in the file LICENSE in this distribution or at
- * http://www.OARcorp.com/rtems/license.html.
+ * http://www.rtems.com/license/LICENSE.
  * 
  * $Id$
Index: c/src/libchip/ide/ata.h
===================================================================
--- c/src/libchip/ide/ata.h	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/ide/ata.h	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -10,5 +10,5 @@
  * The license and distribution terms for this file may be
  * found in the file LICENSE in this distribution or at
- * http://www.OARcorp.com/rtems/license.html.
+ * http://www.rtems.com/license/LICENSE.
  * 
  * $Id$
Index: c/src/libchip/ide/ata_internal.h
===================================================================
--- c/src/libchip/ide/ata_internal.h	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/ide/ata_internal.h	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -10,5 +10,5 @@
  * The license and distribution terms for this file may be
  * found in the file LICENSE in this distribution or at
- * http://www.OARcorp.com/rtems/license.html.
+ * http://www.rtems.com/license/LICENSE.
  * 
  * $Id$
Index: c/src/libchip/ide/ide_controller.c
===================================================================
--- c/src/libchip/ide/ide_controller.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/ide/ide_controller.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -10,5 +10,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  * 
  * $Id$
Index: c/src/libchip/ide/ide_ctrl.h
===================================================================
--- c/src/libchip/ide/ide_ctrl.h	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/ide/ide_ctrl.h	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -9,5 +9,5 @@
  * The license and distribution terms for this file may be
  * found in the file LICENSE in this distribution or at
- * http://www.OARcorp.com/rtems/license.html.
+ * http://www.rtems.com/license/LICENSE.
  *
  * $Id$
Index: c/src/libchip/ide/ide_ctrl_cfg.h
===================================================================
--- c/src/libchip/ide/ide_ctrl_cfg.h	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/ide/ide_ctrl_cfg.h	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -10,5 +10,5 @@
  * The license and distribution terms for this file may be
  * found in the file LICENSE in this distribution or at
- * http://www.OARcorp.com/rtems/license.html.
+ * http://www.rtems.com/license/LICENSE.
  *
  * $Id$
Index: c/src/libchip/ide/ide_ctrl_io.h
===================================================================
--- c/src/libchip/ide/ide_ctrl_io.h	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/ide/ide_ctrl_io.h	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -10,5 +10,5 @@
  * The license and distribution terms for this file may be
  * found in the file LICENSE in this distribution or at
- * http://www.OARcorp.com/rtems/license.html.
+ * http://www.rtems.com/license/LICENSE.
  *
  * $Id$
Index: c/src/libchip/network/cs8900.c
===================================================================
--- c/src/libchip/network/cs8900.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/network/cs8900.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -14,5 +14,5 @@
   The license and distribution terms for this file may be
   found in the file LICENSE in this distribution or at
-  http://www.OARcorp.com/rtems/license.html.
+  http://www.rtems.com/license/LICENSE.
 
   ------------------------------------------------------------------------
Index: c/src/libchip/network/cs8900.c.bsp
===================================================================
--- c/src/libchip/network/cs8900.c.bsp	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/network/cs8900.c.bsp	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -14,5 +14,5 @@
   The license and distribution terms for this file may be
   found in the file LICENSE in this distribution or at
-  http://www.OARcorp.com/rtems/license.html.
+  http://www.rtems.com/license/LICENSE.
   
   ------------------------------------------------------------------------
Index: c/src/libchip/network/cs8900.h
===================================================================
--- c/src/libchip/network/cs8900.h	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/network/cs8900.h	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -14,5 +14,5 @@
   The license and distribution terms for this file may be
   found in the file LICENSE in this distribution or at
-  http://www.OARcorp.com/rtems/license.html.
+  http://www.rtems.com/license/LICENSE.
   
   ------------------------------------------------------------------------
Index: c/src/libchip/network/dec21140.c
===================================================================
--- c/src/libchip/network/dec21140.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/network/dec21140.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -6,5 +6,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  * $Id$
Index: c/src/libchip/network/elnk.c
===================================================================
--- c/src/libchip/network/elnk.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/network/elnk.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -6,5 +6,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  * elnk.c
Index: c/src/libchip/network/open_eth.c
===================================================================
--- c/src/libchip/network/open_eth.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/network/open_eth.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -7,5 +7,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  */
Index: c/src/libchip/network/sonic.c
===================================================================
--- c/src/libchip/network/sonic.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/network/sonic.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -20,5 +20,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/network/sonic.h
===================================================================
--- c/src/libchip/network/sonic.h	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/network/sonic.h	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -20,5 +20,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/rtc/icm7170.c
===================================================================
--- c/src/libchip/rtc/icm7170.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/rtc/icm7170.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -19,5 +19,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/rtc/icm7170.h
===================================================================
--- c/src/libchip/rtc/icm7170.h	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/rtc/icm7170.h	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -9,5 +9,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/rtc/icm7170_reg.c
===================================================================
--- c/src/libchip/rtc/icm7170_reg.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/rtc/icm7170_reg.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/rtc/icm7170_reg2.c
===================================================================
--- c/src/libchip/rtc/icm7170_reg2.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/rtc/icm7170_reg2.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/rtc/icm7170_reg4.c
===================================================================
--- c/src/libchip/rtc/icm7170_reg4.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/rtc/icm7170_reg4.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/rtc/icm7170_reg8.c
===================================================================
--- c/src/libchip/rtc/icm7170_reg8.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/rtc/icm7170_reg8.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/rtc/m48t08.c
===================================================================
--- c/src/libchip/rtc/m48t08.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/rtc/m48t08.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -19,5 +19,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/rtc/m48t08.h
===================================================================
--- c/src/libchip/rtc/m48t08.h	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/rtc/m48t08.h	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/rtc/m48t08_reg.c
===================================================================
--- c/src/libchip/rtc/m48t08_reg.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/rtc/m48t08_reg.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/rtc/m48t08_reg2.c
===================================================================
--- c/src/libchip/rtc/m48t08_reg2.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/rtc/m48t08_reg2.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/rtc/m48t08_reg4.c
===================================================================
--- c/src/libchip/rtc/m48t08_reg4.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/rtc/m48t08_reg4.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/rtc/m48t08_reg8.c
===================================================================
--- c/src/libchip/rtc/m48t08_reg8.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/rtc/m48t08_reg8.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/rtc/rtc.h
===================================================================
--- c/src/libchip/rtc/rtc.h	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/rtc/rtc.h	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -7,5 +7,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *
Index: c/src/libchip/rtc/rtcprobe.c
===================================================================
--- c/src/libchip/rtc/rtcprobe.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/rtc/rtcprobe.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -7,5 +7,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/serial/mc68681.c
===================================================================
--- c/src/libchip/serial/mc68681.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/serial/mc68681.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -12,5 +12,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/serial/mc68681.h
===================================================================
--- c/src/libchip/serial/mc68681.h	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/serial/mc68681.h	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -6,5 +6,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/serial/mc68681_p.h
===================================================================
--- c/src/libchip/serial/mc68681_p.h	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/serial/mc68681_p.h	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -6,5 +6,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/serial/mc68681_reg.c
===================================================================
--- c/src/libchip/serial/mc68681_reg.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/serial/mc68681_reg.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/serial/mc68681_reg2.c
===================================================================
--- c/src/libchip/serial/mc68681_reg2.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/serial/mc68681_reg2.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/serial/mc68681_reg4.c
===================================================================
--- c/src/libchip/serial/mc68681_reg4.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/serial/mc68681_reg4.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/serial/mc68681_reg8.c
===================================================================
--- c/src/libchip/serial/mc68681_reg8.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/serial/mc68681_reg8.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -11,5 +11,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/serial/serial.h
===================================================================
--- c/src/libchip/serial/serial.h	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/serial/serial.h	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -9,5 +9,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/serial/z85c30.c
===================================================================
--- c/src/libchip/serial/z85c30.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/serial/z85c30.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -26,5 +26,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/serial/z85c30.h
===================================================================
--- c/src/libchip/serial/z85c30.h	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/serial/z85c30.h	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -21,5 +21,5 @@
  *  The license and distribution terms for this file may in
  *  the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id: 
Index: c/src/libchip/serial/z85c30_p.h
===================================================================
--- c/src/libchip/serial/z85c30_p.h	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/serial/z85c30_p.h	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -21,5 +21,5 @@
  *  The license and distribution terms for this file may in
  *  the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/libchip/serial/z85c30_reg.c
===================================================================
--- c/src/libchip/serial/z85c30_reg.c	(revision fd87df7ff234e145087073551bba8ddaff8d5796)
+++ c/src/libchip/serial/z85c30_reg.c	(revision 10e662159d44005dd17c97d232bf0c064bcc780e)
@@ -10,5 +10,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$