Index: contrib/crossrpms/rtems4.9/arm/rtems-4.9-arm-rtems4.9-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.9/arm/rtems-4.9-arm-rtems4.9-binutils.spec	(revision e5c9d674d0d00a11c43dce5f5e4a74fef30fccc6)
+++ contrib/crossrpms/rtems4.9/arm/rtems-4.9-arm-rtems4.9-binutils.spec	(revision 11c9109d80340325a8e807be2ec4ab36cec1b336)
@@ -4,7 +4,19 @@
 #
 
-%define _prefix			/opt/rtems-4.9
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.9
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
@@ -34,5 +46,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	4%{?dist}
+Release:	5%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -188,4 +200,5 @@
 %files -n rtems-4.9-arm-rtems4.9-binutils
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_mandir}
 %dir %{_mandir}/man1
@@ -240,4 +253,5 @@
 %files -n rtems-4.9-binutils-common
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_infodir}
 %ghost %{_infodir}/dir
Index: contrib/crossrpms/rtems4.9/avr/rtems-4.9-avr-rtems4.9-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.9/avr/rtems-4.9-avr-rtems4.9-binutils.spec	(revision e5c9d674d0d00a11c43dce5f5e4a74fef30fccc6)
+++ contrib/crossrpms/rtems4.9/avr/rtems-4.9-avr-rtems4.9-binutils.spec	(revision 11c9109d80340325a8e807be2ec4ab36cec1b336)
@@ -4,7 +4,19 @@
 #
 
-%define _prefix			/opt/rtems-4.9
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.9
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
@@ -34,5 +46,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	4%{?dist}
+Release:	5%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -188,4 +200,5 @@
 %files -n rtems-4.9-avr-rtems4.9-binutils
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_mandir}
 %dir %{_mandir}/man1
@@ -240,4 +253,5 @@
 %files -n rtems-4.9-binutils-common
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_infodir}
 %ghost %{_infodir}/dir
Index: contrib/crossrpms/rtems4.9/bfin/rtems-4.9-bfin-rtems4.9-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.9/bfin/rtems-4.9-bfin-rtems4.9-binutils.spec	(revision e5c9d674d0d00a11c43dce5f5e4a74fef30fccc6)
+++ contrib/crossrpms/rtems4.9/bfin/rtems-4.9-bfin-rtems4.9-binutils.spec	(revision 11c9109d80340325a8e807be2ec4ab36cec1b336)
@@ -4,7 +4,19 @@
 #
 
-%define _prefix			/opt/rtems-4.9
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.9
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
@@ -34,5 +46,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	4%{?dist}
+Release:	5%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -188,4 +200,5 @@
 %files -n rtems-4.9-bfin-rtems4.9-binutils
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_mandir}
 %dir %{_mandir}/man1
@@ -240,4 +253,5 @@
 %files -n rtems-4.9-binutils-common
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_infodir}
 %ghost %{_infodir}/dir
Index: contrib/crossrpms/rtems4.9/h8300/rtems-4.9-h8300-rtems4.9-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.9/h8300/rtems-4.9-h8300-rtems4.9-binutils.spec	(revision e5c9d674d0d00a11c43dce5f5e4a74fef30fccc6)
+++ contrib/crossrpms/rtems4.9/h8300/rtems-4.9-h8300-rtems4.9-binutils.spec	(revision 11c9109d80340325a8e807be2ec4ab36cec1b336)
@@ -4,7 +4,19 @@
 #
 
-%define _prefix			/opt/rtems-4.9
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.9
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
@@ -34,5 +46,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	4%{?dist}
+Release:	5%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -188,4 +200,5 @@
 %files -n rtems-4.9-h8300-rtems4.9-binutils
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_mandir}
 %dir %{_mandir}/man1
@@ -240,4 +253,5 @@
 %files -n rtems-4.9-binutils-common
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_infodir}
 %ghost %{_infodir}/dir
Index: contrib/crossrpms/rtems4.9/i386/rtems-4.9-i386-rtems4.9-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.9/i386/rtems-4.9-i386-rtems4.9-binutils.spec	(revision e5c9d674d0d00a11c43dce5f5e4a74fef30fccc6)
+++ contrib/crossrpms/rtems4.9/i386/rtems-4.9-i386-rtems4.9-binutils.spec	(revision 11c9109d80340325a8e807be2ec4ab36cec1b336)
@@ -4,7 +4,19 @@
 #
 
-%define _prefix			/opt/rtems-4.9
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.9
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
@@ -34,5 +46,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	4%{?dist}
+Release:	5%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -188,4 +200,5 @@
 %files -n rtems-4.9-i386-rtems4.9-binutils
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_mandir}
 %dir %{_mandir}/man1
@@ -240,4 +253,5 @@
 %files -n rtems-4.9-binutils-common
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_infodir}
 %ghost %{_infodir}/dir
Index: contrib/crossrpms/rtems4.9/m68k/rtems-4.9-m68k-rtems4.9-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.9/m68k/rtems-4.9-m68k-rtems4.9-binutils.spec	(revision e5c9d674d0d00a11c43dce5f5e4a74fef30fccc6)
+++ contrib/crossrpms/rtems4.9/m68k/rtems-4.9-m68k-rtems4.9-binutils.spec	(revision 11c9109d80340325a8e807be2ec4ab36cec1b336)
@@ -4,7 +4,19 @@
 #
 
-%define _prefix			/opt/rtems-4.9
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.9
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
@@ -34,5 +46,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	4%{?dist}
+Release:	5%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -188,4 +200,5 @@
 %files -n rtems-4.9-m68k-rtems4.9-binutils
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_mandir}
 %dir %{_mandir}/man1
@@ -240,4 +253,5 @@
 %files -n rtems-4.9-binutils-common
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_infodir}
 %ghost %{_infodir}/dir
Index: contrib/crossrpms/rtems4.9/mips/rtems-4.9-mips-rtems4.9-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.9/mips/rtems-4.9-mips-rtems4.9-binutils.spec	(revision e5c9d674d0d00a11c43dce5f5e4a74fef30fccc6)
+++ contrib/crossrpms/rtems4.9/mips/rtems-4.9-mips-rtems4.9-binutils.spec	(revision 11c9109d80340325a8e807be2ec4ab36cec1b336)
@@ -4,7 +4,19 @@
 #
 
-%define _prefix			/opt/rtems-4.9
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.9
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
@@ -34,5 +46,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	4%{?dist}
+Release:	5%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -188,4 +200,5 @@
 %files -n rtems-4.9-mips-rtems4.9-binutils
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_mandir}
 %dir %{_mandir}/man1
@@ -240,4 +253,5 @@
 %files -n rtems-4.9-binutils-common
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_infodir}
 %ghost %{_infodir}/dir
Index: contrib/crossrpms/rtems4.9/powerpc/rtems-4.9-powerpc-rtems4.9-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.9/powerpc/rtems-4.9-powerpc-rtems4.9-binutils.spec	(revision e5c9d674d0d00a11c43dce5f5e4a74fef30fccc6)
+++ contrib/crossrpms/rtems4.9/powerpc/rtems-4.9-powerpc-rtems4.9-binutils.spec	(revision 11c9109d80340325a8e807be2ec4ab36cec1b336)
@@ -4,7 +4,19 @@
 #
 
-%define _prefix			/opt/rtems-4.9
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.9
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
@@ -34,5 +46,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	4%{?dist}
+Release:	5%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -188,4 +200,5 @@
 %files -n rtems-4.9-powerpc-rtems4.9-binutils
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_mandir}
 %dir %{_mandir}/man1
@@ -240,4 +253,5 @@
 %files -n rtems-4.9-binutils-common
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_infodir}
 %ghost %{_infodir}/dir
Index: contrib/crossrpms/rtems4.9/sh/rtems-4.9-sh-rtems4.9-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.9/sh/rtems-4.9-sh-rtems4.9-binutils.spec	(revision e5c9d674d0d00a11c43dce5f5e4a74fef30fccc6)
+++ contrib/crossrpms/rtems4.9/sh/rtems-4.9-sh-rtems4.9-binutils.spec	(revision 11c9109d80340325a8e807be2ec4ab36cec1b336)
@@ -4,7 +4,19 @@
 #
 
-%define _prefix			/opt/rtems-4.9
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.9
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
@@ -34,5 +46,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	4%{?dist}
+Release:	5%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -188,4 +200,5 @@
 %files -n rtems-4.9-sh-rtems4.9-binutils
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_mandir}
 %dir %{_mandir}/man1
@@ -240,4 +253,5 @@
 %files -n rtems-4.9-binutils-common
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_infodir}
 %ghost %{_infodir}/dir
Index: contrib/crossrpms/rtems4.9/sparc/rtems-4.9-sparc-rtems4.9-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.9/sparc/rtems-4.9-sparc-rtems4.9-binutils.spec	(revision e5c9d674d0d00a11c43dce5f5e4a74fef30fccc6)
+++ contrib/crossrpms/rtems4.9/sparc/rtems-4.9-sparc-rtems4.9-binutils.spec	(revision 11c9109d80340325a8e807be2ec4ab36cec1b336)
@@ -4,7 +4,19 @@
 #
 
-%define _prefix			/opt/rtems-4.9
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.9
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
@@ -34,5 +46,5 @@
 Group:		Development/Tools
 Version:	%{binutils_rpmvers}
-Release:	4%{?dist}
+Release:	5%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/binutils
@@ -188,4 +200,5 @@
 %files -n rtems-4.9-sparc-rtems4.9-binutils
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_mandir}
 %dir %{_mandir}/man1
@@ -240,4 +253,5 @@
 %files -n rtems-4.9-binutils-common
 %defattr(-,root,root)
+%dir %{_prefix}
 %dir %{_infodir}
 %ghost %{_infodir}/dir