Index: make/ChangeLog
===================================================================
--- make/ChangeLog	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/ChangeLog	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -1,4 +1,17 @@
 2007-01-18	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
+	* custom/av5282.cfg, custom/bare.cfg, custom/dmv152.cfg,
+	custom/gen405.cfg, custom/gen5200.cfg, custom/gen68302.cfg,
+	custom/gen68340.cfg, custom/gen68360.cfg, custom/helas403.cfg,
+	custom/hurricane.cfg, custom/i386ex.cfg, custom/idp.cfg,
+	custom/mbx8xx.cfg, custom/mcf5206elite.cfg, custom/mcf5235.cfg,
+	custom/mcp750.cfg, custom/mpc8260ads.cfg, custom/mrm332.cfg,
+	custom/mtx603e.cfg, custom/mvme136.cfg, custom/mvme147.cfg,
+	custom/mvme162.cfg, custom/mvme162lx.cfg, custom/mvme167.cfg,
+	custom/mvme2100.cfg, custom/mvme2307.cfg, custom/mvme5500.cfg,
+	custom/ods68302.cfg, custom/pc386.cfg, custom/psim.cfg,
+	custom/rbtx4925.cfg, custom/sim68000.cfg, custom/simcpu32.cfg,
+	custom/ss555.cfg, custom/ts_386ex.cfg, custom/uC5282.cfg:
+	CFLAGS_OPTIMIZE_V = -O2.
 	* custom/gba.cfg, custom/mbx8xx.cfg, custom/ss555.cfg: Remove
 	CXXFLAGS_OPTIMIZE_V.
Index: make/custom/av5282.cfg
===================================================================
--- make/custom/av5282.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/av5282.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -17,5 +17,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 ifndef MTARGET
Index: make/custom/bare.cfg
===================================================================
--- make/custom/bare.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/bare.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -17,5 +17,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 # this target has no start file
Index: make/custom/dmv152.cfg
===================================================================
--- make/custom/dmv152.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/dmv152.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -21,5 +21,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 # Here is the rule to actually build a $(ARCH)/foo.exe
Index: make/custom/gen405.cfg
===================================================================
--- make/custom/gen405.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/gen405.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -26,5 +26,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fno-keep-inline-functions -g
+CFLAGS_OPTIMIZE_V = -O2 -fno-keep-inline-functions -g
 
 
Index: make/custom/gen5200.cfg
===================================================================
--- make/custom/gen5200.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/gen5200.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -20,5 +20,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fno-keep-inline-functions -g
+CFLAGS_OPTIMIZE_V = -O2 -fno-keep-inline-functions -g
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/gen68302.cfg
===================================================================
--- make/custom/gen68302.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/gen68302.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -19,5 +19,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/gen68340.cfg
===================================================================
--- make/custom/gen68340.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/gen68340.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -17,5 +17,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/gen68360.cfg
===================================================================
--- make/custom/gen68360.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/gen68360.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -28,5 +28,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/helas403.cfg
===================================================================
--- make/custom/helas403.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/helas403.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -20,5 +20,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fno-keep-inline-functions
+CFLAGS_OPTIMIZE_V = -O2 -fno-keep-inline-functions
 
 # No start file
Index: make/custom/hurricane.cfg
===================================================================
--- make/custom/hurricane.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/hurricane.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -17,5 +17,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/i386ex.cfg
===================================================================
--- make/custom/i386ex.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/i386ex.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -19,5 +19,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4
+CFLAGS_OPTIMIZE_V = -O2
 
 #  Something like this should produce a map file but this does not work.
Index: make/custom/idp.cfg
===================================================================
--- make/custom/idp.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/idp.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -19,5 +19,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/mbx8xx.cfg
===================================================================
--- make/custom/mbx8xx.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/mbx8xx.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -48,5 +48,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fno-keep-inline-functions
+CFLAGS_OPTIMIZE_V = -O2 -fno-keep-inline-functions
 
 define make-exe
Index: make/custom/mcf5206elite.cfg
===================================================================
--- make/custom/mcf5206elite.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/mcf5206elite.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -21,5 +21,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/mcf5235.cfg
===================================================================
--- make/custom/mcf5235.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/mcf5235.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -23,5 +23,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 
Index: make/custom/mcp750.cfg
===================================================================
--- make/custom/mcp750.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/mcp750.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -19,5 +19,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -mmultiple -mstring -mstrict-align
+CFLAGS_OPTIMIZE_V = -O2 -mmultiple -mstring -mstrict-align
 
 define make-exe
Index: make/custom/mpc8260ads.cfg
===================================================================
--- make/custom/mpc8260ads.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/mpc8260ads.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -21,5 +21,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fno-keep-inline-functions -g
+CFLAGS_OPTIMIZE_V = -O2 -fno-keep-inline-functions -g
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/mrm332.cfg
===================================================================
--- make/custom/mrm332.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/mrm332.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -18,5 +18,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/mtx603e.cfg
===================================================================
--- make/custom/mtx603e.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/mtx603e.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -18,5 +18,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -mmultiple -mstring -mstrict-align
+CFLAGS_OPTIMIZE_V = -O2 -mmultiple -mstring -mstrict-align
 
 define make-exe
Index: make/custom/mvme136.cfg
===================================================================
--- make/custom/mvme136.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/mvme136.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -20,5 +20,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/mvme147.cfg
===================================================================
--- make/custom/mvme147.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/mvme147.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -17,5 +17,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/mvme162.cfg
===================================================================
--- make/custom/mvme162.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/mvme162.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -22,5 +22,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/mvme162lx.cfg
===================================================================
--- make/custom/mvme162lx.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/mvme162lx.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -28,5 +28,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/mvme167.cfg
===================================================================
--- make/custom/mvme167.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/mvme167.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -26,5 +26,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fno-omit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fno-omit-frame-pointer
 
 # Here is the rule to actually build a $(ARCH)/foo.exe
Index: make/custom/mvme2100.cfg
===================================================================
--- make/custom/mvme2100.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/mvme2100.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -18,5 +18,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -mmultiple -mstring -mstrict-align
+CFLAGS_OPTIMIZE_V = -O2 -mmultiple -mstring -mstrict-align
 
 define make-exe
Index: make/custom/mvme2307.cfg
===================================================================
--- make/custom/mvme2307.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/mvme2307.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -19,5 +19,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4
+CFLAGS_OPTIMIZE_V = -O2
 
 define make-exe
Index: make/custom/mvme5500.cfg
===================================================================
--- make/custom/mvme5500.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/mvme5500.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -21,5 +21,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4
+CFLAGS_OPTIMIZE_V = -O2
 
 define make-exe
Index: make/custom/ods68302.cfg
===================================================================
--- make/custom/ods68302.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/ods68302.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -26,5 +26,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/pc386.cfg
===================================================================
--- make/custom/pc386.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/pc386.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -22,5 +22,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4
+CFLAGS_OPTIMIZE_V = -O2
 
 # Here is the rule to actually build a $(ARCH)/foo.exe
Index: make/custom/psim.cfg
===================================================================
--- make/custom/psim.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/psim.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -20,5 +20,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fno-keep-inline-functions
+CFLAGS_OPTIMIZE_V = -O2 -fno-keep-inline-functions
 
 define make-exe
Index: make/custom/rbtx4925.cfg
===================================================================
--- make/custom/rbtx4925.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/rbtx4925.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -17,5 +17,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/sim68000.cfg
===================================================================
--- make/custom/sim68000.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/sim68000.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -15,5 +15,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/simcpu32.cfg
===================================================================
--- make/custom/simcpu32.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/simcpu32.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -15,5 +15,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fomit-frame-pointer
+CFLAGS_OPTIMIZE_V = -O2 -fomit-frame-pointer
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/ss555.cfg
===================================================================
--- make/custom/ss555.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/ss555.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -24,5 +24,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 -fno-keep-inline-functions
+CFLAGS_OPTIMIZE_V = -O2 -fno-keep-inline-functions
 
 define make-exe
Index: make/custom/ts_386ex.cfg
===================================================================
--- make/custom/ts_386ex.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/ts_386ex.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -20,5 +20,5 @@
 
 # optimize flag: typically -O2
-CFLAGS_OPTIMIZE_V = -O4 
+CFLAGS_OPTIMIZE_V = -O2 
 
 #  Something like this should produce a map file but this does not work.
Index: make/custom/uC5282.cfg
===================================================================
--- make/custom/uC5282.cfg	(revision b86e0899e5c2cf6a6917ff9d34f0b81947b13168)
+++ make/custom/uC5282.cfg	(revision 14d345d2589c9e9e73a333681cb46054324c9657)
@@ -16,5 +16,5 @@
 
 # CFLAGS_OPTIMIZE_V = -O0 -fomit-frame-pointer
-CFLAGS_OPTIMIZE_V = -O4 -g
+CFLAGS_OPTIMIZE_V = -O2 -g
 
 # The following are definitions of make-exe which will work using ld as