Index: c/src/tests/samples/ChangeLog
===================================================================
--- c/src/tests/samples/ChangeLog	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ c/src/tests/samples/ChangeLog	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -1,2 +1,15 @@
+2001-09-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* unlimited/Makefile.am: include leaf.am instead of leaf.cfg.
+	* base_mp/node2/Makefile.am: include leaf.am instead of leaf.cfg.
+	* base_mp/node1/Makefile.am: include leaf.am instead of leaf.cfg.
+	* hello/Makefile.am: include leaf.am instead of leaf.cfg.
+	* base_sp/Makefile.am: include leaf.am instead of leaf.cfg.
+	* paranoia/Makefile.am: include leaf.am instead of leaf.cfg.
+	* cdtest/Makefile.am: include leaf.am instead of leaf.cfg, use
+	make-cxx-exe.
+	* ticker/Makefile.am: include leaf.am instead of leaf.cfg.
+	* minimum/Makefile.am: include leaf.am instead of leaf.cfg.
+
 2001-06-14	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/tests/samples/base_mp/node1/Makefile.am
===================================================================
--- c/src/tests/samples/base_mp/node1/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ c/src/tests/samples/base_mp/node1/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -28,5 +28,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: c/src/tests/samples/base_mp/node2/Makefile.am
===================================================================
--- c/src/tests/samples/base_mp/node2/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ c/src/tests/samples/base_mp/node2/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -28,5 +28,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: c/src/tests/samples/base_sp/Makefile.am
===================================================================
--- c/src/tests/samples/base_sp/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ c/src/tests/samples/base_sp/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -26,5 +26,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: c/src/tests/samples/cdtest/Makefile.am
===================================================================
--- c/src/tests/samples/cdtest/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ c/src/tests/samples/cdtest/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -29,5 +29,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
@@ -40,5 +40,5 @@
 
 ${PGM}: $(OBJS) $(LINK_FILES)
-	$(make-exe)
+	$(make-cxx-exe)
 
 all-local: ${ARCH} $(TMPINSTALL_FILES)
Index: c/src/tests/samples/hello/Makefile.am
===================================================================
--- c/src/tests/samples/hello/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ c/src/tests/samples/hello/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -26,5 +26,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: c/src/tests/samples/minimum/Makefile.am
===================================================================
--- c/src/tests/samples/minimum/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ c/src/tests/samples/minimum/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -23,5 +23,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: c/src/tests/samples/paranoia/Makefile.am
===================================================================
--- c/src/tests/samples/paranoia/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ c/src/tests/samples/paranoia/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -26,5 +26,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: c/src/tests/samples/ticker/Makefile.am
===================================================================
--- c/src/tests/samples/ticker/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ c/src/tests/samples/ticker/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -26,5 +26,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: c/src/tests/samples/unlimited/Makefile.am
===================================================================
--- c/src/tests/samples/unlimited/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ c/src/tests/samples/unlimited/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -26,5 +26,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: testsuites/samples/ChangeLog
===================================================================
--- testsuites/samples/ChangeLog	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ testsuites/samples/ChangeLog	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -1,2 +1,15 @@
+2001-09-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* unlimited/Makefile.am: include leaf.am instead of leaf.cfg.
+	* base_mp/node2/Makefile.am: include leaf.am instead of leaf.cfg.
+	* base_mp/node1/Makefile.am: include leaf.am instead of leaf.cfg.
+	* hello/Makefile.am: include leaf.am instead of leaf.cfg.
+	* base_sp/Makefile.am: include leaf.am instead of leaf.cfg.
+	* paranoia/Makefile.am: include leaf.am instead of leaf.cfg.
+	* cdtest/Makefile.am: include leaf.am instead of leaf.cfg, use
+	make-cxx-exe.
+	* ticker/Makefile.am: include leaf.am instead of leaf.cfg.
+	* minimum/Makefile.am: include leaf.am instead of leaf.cfg.
+
 2001-06-14	Joel Sherrill <joel@OARcorp.com>
 
Index: testsuites/samples/base_mp/node1/Makefile.am
===================================================================
--- testsuites/samples/base_mp/node1/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ testsuites/samples/base_mp/node1/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -28,5 +28,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: testsuites/samples/base_mp/node2/Makefile.am
===================================================================
--- testsuites/samples/base_mp/node2/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ testsuites/samples/base_mp/node2/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -28,5 +28,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: testsuites/samples/base_sp/Makefile.am
===================================================================
--- testsuites/samples/base_sp/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ testsuites/samples/base_sp/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -26,5 +26,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: testsuites/samples/cdtest/Makefile.am
===================================================================
--- testsuites/samples/cdtest/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ testsuites/samples/cdtest/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -29,5 +29,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
@@ -40,5 +40,5 @@
 
 ${PGM}: $(OBJS) $(LINK_FILES)
-	$(make-exe)
+	$(make-cxx-exe)
 
 all-local: ${ARCH} $(TMPINSTALL_FILES)
Index: testsuites/samples/hello/Makefile.am
===================================================================
--- testsuites/samples/hello/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ testsuites/samples/hello/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -26,5 +26,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: testsuites/samples/minimum/Makefile.am
===================================================================
--- testsuites/samples/minimum/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ testsuites/samples/minimum/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -23,5 +23,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: testsuites/samples/paranoia/Makefile.am
===================================================================
--- testsuites/samples/paranoia/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ testsuites/samples/paranoia/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -26,5 +26,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: testsuites/samples/ticker/Makefile.am
===================================================================
--- testsuites/samples/ticker/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ testsuites/samples/ticker/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -26,5 +26,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 
Index: testsuites/samples/unlimited/Makefile.am
===================================================================
--- testsuites/samples/unlimited/Makefile.am	(revision 929efa6b859d97be0e7cf9bb393006b32158ecd2)
+++ testsuites/samples/unlimited/Makefile.am	(revision 15c4b4c561b087069aeda59e120dbab1dc30db37)
@@ -26,5 +26,5 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../automake/compile.am
-include $(RTEMS_ROOT)/make/leaf.cfg
+include $(top_srcdir)/../../../../automake/leaf.am
 include $(top_srcdir)/sample.am
 