Index: cpukit/Makefile.am
===================================================================
--- cpukit/Makefile.am	(revision a40bb03d72e68b7cee01939b615e6643bd9f087e)
+++ cpukit/Makefile.am	(revision 19b7db50b1b31c3d69c097c73f87e91763743a50)
@@ -1096,4 +1096,118 @@
 if LIBNETWORKING
 
+libcpukit_a_SOURCES += libnetworking/kern/kern_mib.c
+libcpukit_a_SOURCES += libnetworking/kern/kern_subr.c
+libcpukit_a_SOURCES += libnetworking/kern/kern_sysctl.c
+libcpukit_a_SOURCES += libnetworking/kern/uipc_domain.c
+libcpukit_a_SOURCES += libnetworking/kern/uipc_mbuf.c
+libcpukit_a_SOURCES += libnetworking/kern/uipc_socket2.c
+libcpukit_a_SOURCES += libnetworking/kern/uipc_socket.c
+libcpukit_a_SOURCES += libnetworking/libc/base64.c
+libcpukit_a_SOURCES += libnetworking/libc/gethostbydns.c
+libcpukit_a_SOURCES += libnetworking/libc/gethostbyht.c
+libcpukit_a_SOURCES += libnetworking/libc/gethostbynis.c
+libcpukit_a_SOURCES += libnetworking/libc/gethostnamadr.c
+libcpukit_a_SOURCES += libnetworking/libc/getifaddrs.c
+libcpukit_a_SOURCES += libnetworking/libc/getnameinfo.c
+libcpukit_a_SOURCES += libnetworking/libc/getnetbydns.c
+libcpukit_a_SOURCES += libnetworking/libc/getnetbyht.c
+libcpukit_a_SOURCES += libnetworking/libc/getnetbynis.c
+libcpukit_a_SOURCES += libnetworking/libc/getnetnamadr.c
+libcpukit_a_SOURCES += libnetworking/libc/getproto.c
+libcpukit_a_SOURCES += libnetworking/libc/getprotoent.c
+libcpukit_a_SOURCES += libnetworking/libc/getprotoname.c
+libcpukit_a_SOURCES += libnetworking/libc/getservbyname.c
+libcpukit_a_SOURCES += libnetworking/libc/getservbyport.c
+libcpukit_a_SOURCES += libnetworking/libc/getservent.c
+libcpukit_a_SOURCES += libnetworking/libc/herror.c
+libcpukit_a_SOURCES += libnetworking/libc/if_indextoname.c
+libcpukit_a_SOURCES += libnetworking/libc/if_nameindex.c
+libcpukit_a_SOURCES += libnetworking/libc/inet_addr.c
+libcpukit_a_SOURCES += libnetworking/libc/inet_lnaof.c
+libcpukit_a_SOURCES += libnetworking/libc/inet_makeaddr.c
+libcpukit_a_SOURCES += libnetworking/libc/inet_netof.c
+libcpukit_a_SOURCES += libnetworking/libc/inet_network.c
+libcpukit_a_SOURCES += libnetworking/libc/inet_ntoa.c
+libcpukit_a_SOURCES += libnetworking/libc/inet_ntop.c
+libcpukit_a_SOURCES += libnetworking/libc/inet_pton.c
+libcpukit_a_SOURCES += libnetworking/libc/linkaddr.c
+libcpukit_a_SOURCES += libnetworking/libc/map_v4v6.c
+libcpukit_a_SOURCES += libnetworking/libc/nsap_addr.c
+libcpukit_a_SOURCES += libnetworking/libc/ns_name.c
+libcpukit_a_SOURCES += libnetworking/libc/ns_netint.c
+libcpukit_a_SOURCES += libnetworking/libc/ns_parse.c
+libcpukit_a_SOURCES += libnetworking/libc/ns_print.c
+libcpukit_a_SOURCES += libnetworking/libc/ns_ttl.c
+libcpukit_a_SOURCES += libnetworking/libc/rcmd.c
+libcpukit_a_SOURCES += libnetworking/libc/recv.c
+libcpukit_a_SOURCES += libnetworking/libc/res_comp.c
+libcpukit_a_SOURCES += libnetworking/libc/res_data.c
+libcpukit_a_SOURCES += libnetworking/libc/res_debug.c
+libcpukit_a_SOURCES += libnetworking/libc/res_init.c
+libcpukit_a_SOURCES += libnetworking/libc/res_mkquery.c
+libcpukit_a_SOURCES += libnetworking/libc/res_mkupdate.c
+libcpukit_a_SOURCES += libnetworking/libc/res_query.c
+libcpukit_a_SOURCES += libnetworking/libc/res_send.c
+libcpukit_a_SOURCES += libnetworking/libc/res_stubs.c
+libcpukit_a_SOURCES += libnetworking/libc/res_update.c
+libcpukit_a_SOURCES += libnetworking/libc/send.c
+libcpukit_a_SOURCES += libnetworking/libc/strsep.c
+libcpukit_a_SOURCES += libnetworking/lib/getprotoby.c
+libcpukit_a_SOURCES += libnetworking/lib/rtems_bsdnet_ntp.c
+libcpukit_a_SOURCES += libnetworking/lib/syslog.c
+libcpukit_a_SOURCES += libnetworking/net/if.c
+libcpukit_a_SOURCES += libnetworking/net/if_ethersubr.c
+libcpukit_a_SOURCES += libnetworking/net/if_loop.c
+libcpukit_a_SOURCES += libnetworking/net/if_ppp.c
+libcpukit_a_SOURCES += libnetworking/netinet/if_ether.c
+libcpukit_a_SOURCES += libnetworking/netinet/igmp.c
+libcpukit_a_SOURCES += libnetworking/netinet/in.c
+libcpukit_a_SOURCES += libnetworking/netinet/in_cksum.c
+libcpukit_a_SOURCES += libnetworking/netinet/in_pcb.c
+libcpukit_a_SOURCES += libnetworking/netinet/in_proto.c
+libcpukit_a_SOURCES += libnetworking/netinet/in_rmx.c
+libcpukit_a_SOURCES += libnetworking/netinet/ip_divert.c
+libcpukit_a_SOURCES += libnetworking/netinet/ip_fw.c
+libcpukit_a_SOURCES += libnetworking/netinet/ip_icmp.c
+libcpukit_a_SOURCES += libnetworking/netinet/ip_input.c
+libcpukit_a_SOURCES += libnetworking/netinet/ip_mroute.c
+libcpukit_a_SOURCES += libnetworking/netinet/ip_output.c
+libcpukit_a_SOURCES += libnetworking/netinet/raw_ip.c
+libcpukit_a_SOURCES += libnetworking/netinet/tcp_debug.c
+libcpukit_a_SOURCES += libnetworking/netinet/tcp_input.c
+libcpukit_a_SOURCES += libnetworking/netinet/tcp_output.c
+libcpukit_a_SOURCES += libnetworking/netinet/tcp_subr.c
+libcpukit_a_SOURCES += libnetworking/netinet/tcp_timer.c
+libcpukit_a_SOURCES += libnetworking/netinet/tcp_usrreq.c
+libcpukit_a_SOURCES += libnetworking/netinet/udp_usrreq.c
+libcpukit_a_SOURCES += libnetworking/net/ppp_tty.c
+libcpukit_a_SOURCES += libnetworking/net/radix.c
+libcpukit_a_SOURCES += libnetworking/net/raw_cb.c
+libcpukit_a_SOURCES += libnetworking/net/raw_usrreq.c
+libcpukit_a_SOURCES += libnetworking/net/route.c
+libcpukit_a_SOURCES += libnetworking/net/rtsock.c
+libcpukit_a_SOURCES += libnetworking/net/slcompress.c
+libcpukit_a_SOURCES += libnetworking/nfs/bootp_subr.c
+libcpukit_a_SOURCES += libnetworking/rtems/mkrootfs.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_bootp.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_bsdnet_malloc_starvation.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_dhcp.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_dhcp_failsafe.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_glue.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_malloc_mbuf.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_mii_ioctl.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_mii_ioctl_kern.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_select.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_showicmpstat.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_showifstat.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_showipstat.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_showmbuf.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_showroute.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_showtcpstat.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_showudpstat.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_socketpair.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_syscall_api.c
+libcpukit_a_SOURCES += libnetworking/rtems/rtems_syscall.c
+libcpukit_a_SOURCES += libnetworking/rtems/sghostname.c
 libcpukit_a_SOURCES += librpc/src/rpc/auth_none.c
 libcpukit_a_SOURCES += librpc/src/rpc/auth_unix.c
@@ -1226,4 +1340,22 @@
 libftpd_a_SOURCES += ftpd/ftpd-init.c
 
+project_lib_LIBRARIES += libftpfs.a
+
+$(PROJECT_LIB)/libftpfs.a: libftpfs.a
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/libftpfs.a
+TMPINSTALL_FILES += $(PROJECT_LIB)/libftpfs.a
+
+libftpfs_a_SOURCES =
+libftpfs_a_SOURCES += libnetworking/lib/ftpfs.c
+
+project_lib_LIBRARIES += libtftpfs.a
+
+$(PROJECT_LIB)/libtftpfs.a: libtftpfs.a
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/libtftpfs.a
+TMPINSTALL_FILES += $(PROJECT_LIB)/libtftpfs.a
+
+libtftpfs_a_SOURCES =
+libtftpfs_a_SOURCES += libnetworking/lib/tftpDriver.c
+
 project_lib_LIBRARIES += libtelnetd.a
 
Index: cpukit/libnetworking/Makefile.am
===================================================================
--- cpukit/libnetworking/Makefile.am	(revision a40bb03d72e68b7cee01939b615e6643bd9f087e)
+++ cpukit/libnetworking/Makefile.am	(revision 19b7db50b1b31c3d69c097c73f87e91763743a50)
@@ -1,140 +1,2 @@
-include $(top_srcdir)/automake/multilib.am
-include $(top_srcdir)/automake/compile.am
-
-project_lib_LIBRARIES =
-TMPINSTALL_FILES =
-
-project_lib_LIBRARIES += libftpfs.a
-libftpfs_a_SOURCES = lib/ftpfs.c
-$(PROJECT_LIB)/libftpfs.a: libftpfs.a
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/libftpfs.a
-TMPINSTALL_FILES += $(PROJECT_LIB)/libftpfs.a
-
-project_lib_LIBRARIES += libtftpfs.a
-libtftpfs_a_SOURCES = lib/tftpDriver.c
-$(PROJECT_LIB)/libtftpfs.a: libtftpfs.a
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/libtftpfs.a
-TMPINSTALL_FILES += $(PROJECT_LIB)/libtftpfs.a
-
-if LIBNETWORKING
-noinst_LIBRARIES = libnetworking.a
-libnetworking_a_SOURCES =
-libnetworking_a_SOURCES += kern/kern_mib.c
-libnetworking_a_SOURCES += kern/kern_subr.c
-libnetworking_a_SOURCES += kern/kern_sysctl.c
-libnetworking_a_SOURCES += kern/uipc_domain.c
-libnetworking_a_SOURCES += kern/uipc_mbuf.c
-libnetworking_a_SOURCES += kern/uipc_socket2.c
-libnetworking_a_SOURCES += kern/uipc_socket.c
-libnetworking_a_SOURCES += libc/base64.c
-libnetworking_a_SOURCES += libc/gethostbydns.c
-libnetworking_a_SOURCES += libc/gethostbyht.c
-libnetworking_a_SOURCES += libc/gethostbynis.c
-libnetworking_a_SOURCES += libc/gethostnamadr.c
-libnetworking_a_SOURCES += libc/getifaddrs.c
-libnetworking_a_SOURCES += libc/getnameinfo.c
-libnetworking_a_SOURCES += libc/getnetbydns.c
-libnetworking_a_SOURCES += libc/getnetbyht.c
-libnetworking_a_SOURCES += libc/getnetbynis.c
-libnetworking_a_SOURCES += libc/getnetnamadr.c
-libnetworking_a_SOURCES += libc/getproto.c
-libnetworking_a_SOURCES += libc/getprotoent.c
-libnetworking_a_SOURCES += libc/getprotoname.c
-libnetworking_a_SOURCES += libc/getservbyname.c
-libnetworking_a_SOURCES += libc/getservbyport.c
-libnetworking_a_SOURCES += libc/getservent.c
-libnetworking_a_SOURCES += libc/herror.c
-libnetworking_a_SOURCES += libc/if_indextoname.c
-libnetworking_a_SOURCES += libc/if_nameindex.c
-libnetworking_a_SOURCES += libc/inet_addr.c
-libnetworking_a_SOURCES += libc/inet_lnaof.c
-libnetworking_a_SOURCES += libc/inet_makeaddr.c
-libnetworking_a_SOURCES += libc/inet_netof.c
-libnetworking_a_SOURCES += libc/inet_network.c
-libnetworking_a_SOURCES += libc/inet_ntoa.c
-libnetworking_a_SOURCES += libc/inet_ntop.c
-libnetworking_a_SOURCES += libc/inet_pton.c
-libnetworking_a_SOURCES += libc/linkaddr.c
-libnetworking_a_SOURCES += libc/map_v4v6.c
-libnetworking_a_SOURCES += libc/nsap_addr.c
-libnetworking_a_SOURCES += libc/ns_name.c
-libnetworking_a_SOURCES += libc/ns_netint.c
-libnetworking_a_SOURCES += libc/ns_parse.c
-libnetworking_a_SOURCES += libc/ns_print.c
-libnetworking_a_SOURCES += libc/ns_ttl.c
-libnetworking_a_SOURCES += libc/rcmd.c
-libnetworking_a_SOURCES += libc/recv.c
-libnetworking_a_SOURCES += libc/res_comp.c
-libnetworking_a_SOURCES += libc/res_data.c
-libnetworking_a_SOURCES += libc/res_debug.c
-libnetworking_a_SOURCES += libc/res_init.c
-libnetworking_a_SOURCES += libc/res_mkquery.c
-libnetworking_a_SOURCES += libc/res_mkupdate.c
-libnetworking_a_SOURCES += libc/res_query.c
-libnetworking_a_SOURCES += libc/res_send.c
-libnetworking_a_SOURCES += libc/res_stubs.c
-libnetworking_a_SOURCES += libc/res_update.c
-libnetworking_a_SOURCES += libc/send.c
-libnetworking_a_SOURCES += libc/strsep.c
-libnetworking_a_SOURCES += lib/getprotoby.c
-libnetworking_a_SOURCES += lib/rtems_bsdnet_ntp.c
-libnetworking_a_SOURCES += lib/syslog.c
-libnetworking_a_SOURCES += net/if.c
-libnetworking_a_SOURCES += net/if_ethersubr.c
-libnetworking_a_SOURCES += net/if_loop.c
-libnetworking_a_SOURCES += net/if_ppp.c
-libnetworking_a_SOURCES += netinet/if_ether.c
-libnetworking_a_SOURCES += netinet/igmp.c
-libnetworking_a_SOURCES += netinet/in.c
-libnetworking_a_SOURCES += netinet/in_cksum.c
-libnetworking_a_SOURCES += netinet/in_pcb.c
-libnetworking_a_SOURCES += netinet/in_proto.c
-libnetworking_a_SOURCES += netinet/in_rmx.c
-libnetworking_a_SOURCES += netinet/ip_divert.c
-libnetworking_a_SOURCES += netinet/ip_fw.c
-libnetworking_a_SOURCES += netinet/ip_icmp.c
-libnetworking_a_SOURCES += netinet/ip_input.c
-libnetworking_a_SOURCES += netinet/ip_mroute.c
-libnetworking_a_SOURCES += netinet/ip_output.c
-libnetworking_a_SOURCES += netinet/raw_ip.c
-libnetworking_a_SOURCES += netinet/tcp_debug.c
-libnetworking_a_SOURCES += netinet/tcp_input.c
-libnetworking_a_SOURCES += netinet/tcp_output.c
-libnetworking_a_SOURCES += netinet/tcp_subr.c
-libnetworking_a_SOURCES += netinet/tcp_timer.c
-libnetworking_a_SOURCES += netinet/tcp_usrreq.c
-libnetworking_a_SOURCES += netinet/udp_usrreq.c
-libnetworking_a_SOURCES += net/ppp_tty.c
-libnetworking_a_SOURCES += net/radix.c
-libnetworking_a_SOURCES += net/raw_cb.c
-libnetworking_a_SOURCES += net/raw_usrreq.c
-libnetworking_a_SOURCES += net/route.c
-libnetworking_a_SOURCES += net/rtsock.c
-libnetworking_a_SOURCES += net/slcompress.c
-libnetworking_a_SOURCES += nfs/bootp_subr.c
-libnetworking_a_SOURCES += rtems/mkrootfs.c
-libnetworking_a_SOURCES += rtems/rtems_bootp.c
-libnetworking_a_SOURCES += rtems/rtems_bsdnet_malloc_starvation.c
-libnetworking_a_SOURCES += rtems/rtems_dhcp.c
-libnetworking_a_SOURCES += rtems/rtems_dhcp_failsafe.c
-libnetworking_a_SOURCES += rtems/rtems_glue.c
-libnetworking_a_SOURCES += rtems/rtems_malloc_mbuf.c
-libnetworking_a_SOURCES += rtems/rtems_mii_ioctl.c
-libnetworking_a_SOURCES += rtems/rtems_mii_ioctl_kern.c
-libnetworking_a_SOURCES += rtems/rtems_select.c
-libnetworking_a_SOURCES += rtems/rtems_showicmpstat.c
-libnetworking_a_SOURCES += rtems/rtems_showifstat.c
-libnetworking_a_SOURCES += rtems/rtems_showipstat.c
-libnetworking_a_SOURCES += rtems/rtems_showmbuf.c
-libnetworking_a_SOURCES += rtems/rtems_showroute.c
-libnetworking_a_SOURCES += rtems/rtems_showtcpstat.c
-libnetworking_a_SOURCES += rtems/rtems_showudpstat.c
-libnetworking_a_SOURCES += rtems/rtems_socketpair.c
-libnetworking_a_SOURCES += rtems/rtems_syscall_api.c
-libnetworking_a_SOURCES += rtems/rtems_syscall.c
-libnetworking_a_SOURCES += rtems/sghostname.c
-endif
-
-include $(top_srcdir)/automake/local.am
 if LIBNETWORKING
 include $(srcdir)/headers.am
Index: cpukit/wrapup/Makefile.am
===================================================================
--- cpukit/wrapup/Makefile.am	(revision a40bb03d72e68b7cee01939b615e6643bd9f087e)
+++ cpukit/wrapup/Makefile.am	(revision 19b7db50b1b31c3d69c097c73f87e91763743a50)
@@ -52,8 +52,4 @@
 TMP_LIBS += ../libmisc/libxz.a
 
-if LIBNETWORKING
-TMP_LIBS += ../libnetworking/libnetworking.a
-endif
-
 librtemscpu.a: $(TMP_LIBS)
 	$(AM_V_GEN)rm -f $@